# NTPort Library for TCL/TK script
# Copyright (c) 1997-2006 Hai Li, Zeal SoftStudio.
# E-Mail: support@zealsoft.com
# Web: http://www.zealsoft.com
# History:
# 2006.01.30 Initial version

# Note: this script depends on Nmeth Jzsef Gbor's DLL caller(http://wiki.tcl.tk/12264)
source [file join [file dirname [info script]] dll_tcl.tcl]

::dll::load {ntport.dll} -> ntport

::ntport::cmd "int GetLPTPortAddress(short)"
::ntport::cmd "int GetLastState(void *)"
::ntport::cmd "int IsWinNT()"
::ntport::cmd "int Inp(short)"
::ntport::cmd "int Inpw(short)"
::ntport::cmd "int Inpd(short)"
::ntport::cmd "void Outp(short, short)"
::ntport::cmd "void Outpw(short, short)"
::ntport::cmd "void Outpd(short, int)"
::ntport::cmd "void SetFastMode(int)"
::ntport::cmd "void EnablePorts(short, short)"
::ntport::cmd "void DisablePorts(short, short)"
::ntport::cmd "void LicenseInfo(char *, int)"

proc ::ERROR_NONE {} {return 0}
proc ::ERROR_DRIVER {} {return 2}
proc ::ERROR_SCM_CANT_CONNECT {} {return 9998}

